### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish.alerts

# Class AlertTransportFactory

java.lang.Object
com.sas.services.publish.alerts.AlertTransportFactory

@SASScope("ALL") @BinaryCompatibilityOnly public class AlertTransportFactory extends Object
A factory used to manufacture alert delivery transports.

The supported delivery transports are listed below. View the javadoc for specific details on each delivery transport.

- `DAV`
- `Mail`

See Also:
  - `TemplateInterface`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlertTransportFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DAVAlertTransportInterface`
  `getDAVAlertTransport(UserContextInterface userContext, String domain, String userId)`
  Creates an instance of the DAV (portlet) transport.
  `static MailAlertTransportInterface`
  `getMailAlertTransport(SMTPServerInfo info)`
  Creates an instance of the mail transport.
  `static MailAlertTransportInterface`
  `getMailAlertTransport(com.sas.svcs.mail.client.MailServiceInterface mailService)`
  Creates an instance of the mail transport.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AlertTransportFactory

    public AlertTransportFactory()

- ## Method Details

  - ### getMailAlertTransport

    public static MailAlertTransportInterface getMailAlertTransport(SMTPServerInfo info)
    Creates an instance of the mail transport. The mail transport provides a mechanism for sending alert notifications via email.
    Parameters:
      `info` - The SMTP server info.
    Returns:
      the mail delivery transport

  - ### getMailAlertTransport

    public static MailAlertTransportInterface getMailAlertTransport(com.sas.svcs.mail.client.MailServiceInterface mailService)
    Creates an instance of the mail transport. The mail transport provides a mechanism for sending alert notifications via email.
    Parameters:
      `mailService` - the WIP Mail service
    Returns:
      the mail delivery transport

  - ### getDAVAlertTransport

    public static DAVAlertTransportInterface getDAVAlertTransport(UserContextInterface userContext, String domain, String userId)
    Creates an instance of the DAV (portlet) transport. The DAV transport provides a mechanism for sending alert notifications to a user's personal repository in WebDAV.
    Parameters:
      `userContext` - the publisher
      `domain` - the authentiction domain
      `userId` - The WebDAV userid. The alert notification is published to the user's personal repository.
    Returns:
      the DAV delivery transport